# IIOP_EndpointsA.cpp File Reference

`#include "IIOP_EndpointsC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/Recursive_Type_TypeCode.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for IIOP_EndpointsA.cpp:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Functions

void | operator<<= (CORBA::Any &_tao_any, const TAO::IIOP_Endpoint_Info &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::IIOP_Endpoint_Info *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::IIOP_Endpoint_Info *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::IIOP_Endpoint_Info *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TAO::IIOPEndpointSequence &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::IIOPEndpointSequence *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::IIOPEndpointSequence *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::IIOPEndpointSequence *&_tao_elem)

## Variables

TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_TAO_IIOP_Endpoint_Info []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_IIOP_Endpoint_Info (CORBA::tk_struct,"IDL:TAO/IIOP_Endpoint_Info:1.0","IIOP_Endpoint_Info", _tao_fields_TAO_IIOP_Endpoint_Info, 3)
::CORBA::TypeCode_ptr const | _tc_IIOP_Endpoint_Info
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | TAO_IIOPEndpointSequence_0 (CORBA::tk_sequence,&TAO::_tc_IIOP_Endpoint_Info, 0U)
::CORBA::TypeCode_ptr const | tc_TAO_IIOPEndpointSequence_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_IIOPEndpointSequence (CORBA::tk_alias,"IDL:TAO/IIOPEndpointSequence:1.0","IIOPEndpointSequence",&TAO::TypeCode::tc_TAO_IIOPEndpointSequence_0)
::CORBA::TypeCode_ptr const | _tc_IIOPEndpointSequence

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::IIOPEndpointSequence * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TAO::IIOPEndpointSequence & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::IIOP_Endpoint_Info * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TAO::IIOP_Endpoint_Info & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::IIOPEndpointSequence *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::IIOPEndpointSequence *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::IIOP_Endpoint_Info *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::IIOP_Endpoint_Info *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_TAO_IIOP_Endpoint_Info[]`[static]`

Initial value:

      {
        { "host", &CORBA::_tc_string },
        { "port", &CORBA::_tc_short },
        { "priority", &CORBA::_tc_short }

      }

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_IIOP_Endpoint_Info(CORBA::tk_struct,"IDL:TAO/IIOP_Endpoint_Info:1.0","IIOP_Endpoint_Info", _tao_fields_TAO_IIOP_Endpoint_Info, 3)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_IIOPEndpointSequence(CORBA::tk_alias,"IDL:TAO/IIOPEndpointSequence:1.0","IIOPEndpointSequence",&TAO::TypeCode::tc_TAO_IIOPEndpointSequence_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const TAO::_tc_IIOP_Endpoint_Info

Initial value:

        &_tao_tc_TAO_IIOP_Endpoint_Info

TAO_Export::CORBA::TypeCode_ptr const TAO::_tc_IIOPEndpointSequence

Initial value:

        &_tao_tc_TAO_IIOPEndpointSequence

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::TAO_IIOPEndpointSequence_0(CORBA::tk_sequence,&TAO::_tc_IIOP_Endpoint_Info, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_TAO_IIOPEndpointSequence_0

Initial value:

          &TAO_IIOPEndpointSequence_0